Initiate a crypto collection to fund a wallet using cryptocurrency. Required scope: collection:crypto:create.
Authorization
oauth2ClientCredentials collection:crypto:createUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: collection:crypto:create
Header Parameters
Content type header.
"application/json"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl --request POST \ --url 'https://example.com/api/external/collection/crypto' \ --header 'Content-Type: application/json' \ --data '{ "amount": 25, "wallet_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e", "network": "MATIC_MAINNET", "token": "USDT"}'{ "message": "Crypto collection initiated successfully.", "transaction": { "transaction_id": "fb87c0f8-31e3-46f3-b0d3-1ff2618565bc", "reference": "7u5sXBFPA8IVDqV", "token": "USDT", "token_amount": 25, "network": "MATIC_MAINNET", "address": "0xdb664b89191eb50e0b45d7516c1adc2fcc327746", "status": "PENDING", "expires_at": "2024-02-26T14:24:15.000000Z" }}POSTInitiate Interac money request
Send an Interac money request to a payer's email to collect CAD into your business wallet. Blaaiz creates a pending collection and sends the request to the payer; when they approve it from their bank app, the funds settle into your CAD wallet and a collection webhook is emitted. Required scope: `collection:interac:create`. Your business must have an active CAD wallet and Interac enabled for CAD.
GETGet crypto networks
Retrieve all available blockchain networks and their supported tokens. Required scope: `collection:crypto:create`.